package com.oreilly.jent.jdbc;

/**
 * In general, you may use the code in this book in your programs and 
 * documentation. You do not need to contact us for permission unless 
 * you're reproducing a significant portion of the code. For example, 
 * writing a program that uses several chunks of code from this book does 
 * not require permission. Selling or distributing a CD-ROM of examples 
 * from O'Reilly books does require permission. Answering a question by 
 * citing this book and quoting example code does not require permission. 
 * Incorporating a significant amount of example code from this book into 
 * your product's documentation does require permission.
 * 
 * We appreciate, but do not require, attribution. An attribution usually 
 * includes the title, author, publisher, and ISBN. For example: 
 * 
 *   "Java Enterprise in a Nutshell, Third Edition, 
 *    by Jim Farley and William Crawford 
 *    with Prakash Malani, John G. Norman, and Justin Gehtland. 
 *    Copyright 2006 O'Reilly Media, Inc., 0-596-10142-2."
 *  
 *  If you feel your use of code examples falls outside fair use or the 
 *  permission given above, feel free to contact us at 
 *  permissions@oreilly.com.
 */

import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.sql.Statement;

public class JDBCSample { 
  public static void main(java.lang.String[] args) { 
    try { 
      // This is where we load the driver 
      Class.forName("sun.jdbc.odbc.JdbcOdbcDriver"); 
    } 
    catch (ClassNotFoundException e) { 
      System.out.println("Unable to load Driver Class"); 
      return; 
    } 
    
    try { 
      // All database access is within a try/catch block. Connect to database, 
      // specifying particular database, username, and password. 
      Connection con = 
        DriverManager.getConnection("jdbc:odbc:companydb", "", ""); 
      
      // Create and execute a SQL statement 
      Statement stmt = con.createStatement(  ); 
      ResultSet rs = stmt.executeQuery("SELECT FIRST_NAME FROM EMPLOYEES"); 
      
      // Display the SQL results 
      while(rs.next()) { 
        System.out.println(rs.getString("FIRST_NAME")); 
      } 
      
      // Make sure our database resources are released 
      rs.close(); 
      stmt.close(); 
      con.close(); 
    } 
    catch (SQLException se) { 
      // Inform user of any SQL errors 
      System.out.println("SQL Exception: " + se.getMessage(  )); 
      se.printStackTrace(System.out); 
    } 
  } 
}
